/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
// VERSION: v0_210
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.ui.unit.dp

internal object SwitchTokens {
    val DisabledSelectedHandleColor = ColorSchemeKeyTokens.Surface
    val DisabledSelectedHandleOpacity = 1.0f
    val DisabledSelectedIconColor = ColorSchemeKeyTokens.OnSurface
    val DisabledSelectedIconOpacity = 0.38f
    val DisabledSelectedTrackColor = ColorSchemeKeyTokens.OnSurface
    val DisabledTrackOpacity = 0.12f
    val DisabledUnselectedHandleColor = ColorSchemeKeyTokens.OnSurface
    val DisabledUnselectedHandleOpacity = 0.38f
    val DisabledUnselectedIconColor = ColorSchemeKeyTokens.SurfaceContainerHighest
    val DisabledUnselectedIconOpacity = 0.38f
    val DisabledUnselectedTrackColor = ColorSchemeKeyTokens.SurfaceContainerHighest
    val DisabledUnselectedTrackOutlineColor = ColorSchemeKeyTokens.OnSurface
    val FocusIndicatorColor = ColorSchemeKeyTokens.Secondary
    val HandleShape = ShapeKeyTokens.CornerFull
    val PressedHandleHeight = 28.0.dp
    val PressedHandleWidth = 28.0.dp
    val SelectedFocusHandleColor = ColorSchemeKeyTokens.PrimaryContainer
    val SelectedFocusIconColor = ColorSchemeKeyTokens.OnPrimaryContainer
    val SelectedFocusTrackColor = ColorSchemeKeyTokens.Primary
    val SelectedHandleColor = ColorSchemeKeyTokens.OnPrimary
    val SelectedHandleHeight = 24.0.dp
    val SelectedHandleWidth = 24.0.dp
    val SelectedHoverHandleColor = ColorSchemeKeyTokens.PrimaryContainer
    val SelectedHoverIconColor = ColorSchemeKeyTokens.OnPrimaryContainer
    val SelectedHoverTrackColor = ColorSchemeKeyTokens.Primary
    val SelectedIconColor = ColorSchemeKeyTokens.OnPrimaryContainer
    val SelectedIconSize = 16.0.dp
    val SelectedPressedHandleColor = ColorSchemeKeyTokens.PrimaryContainer
    val SelectedPressedIconColor = ColorSchemeKeyTokens.OnPrimaryContainer
    val SelectedPressedTrackColor = ColorSchemeKeyTokens.Primary
    val SelectedTrackColor = ColorSchemeKeyTokens.Primary
    val StateLayerShape = ShapeKeyTokens.CornerFull
    val StateLayerSize = 40.0.dp
    val TrackHeight = 32.0.dp
    val TrackOutlineWidth = 2.0.dp
    val TrackShape = ShapeKeyTokens.CornerFull
    val TrackWidth = 52.0.dp
    val UnselectedFocusHandleColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedFocusIconColor = ColorSchemeKeyTokens.SurfaceContainerHighest
    val UnselectedFocusTrackColor = ColorSchemeKeyTokens.SurfaceContainerHighest
    val UnselectedFocusTrackOutlineColor = ColorSchemeKeyTokens.Outline
    val UnselectedHandleColor = ColorSchemeKeyTokens.Outline
    val UnselectedHandleHeight = 16.0.dp
    val UnselectedHandleWidth = 16.0.dp
    val UnselectedHoverHandleColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedHoverIconColor = ColorSchemeKeyTokens.SurfaceContainerHighest
    val UnselectedHoverTrackColor = ColorSchemeKeyTokens.SurfaceContainerHighest
    val UnselectedHoverTrackOutlineColor = ColorSchemeKeyTokens.Outline
    val UnselectedIconColor = ColorSchemeKeyTokens.SurfaceContainerHighest
    val UnselectedIconSize = 16.0.dp
    val UnselectedPressedHandleColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedPressedIconColor = ColorSchemeKeyTokens.SurfaceContainerHighest
    val UnselectedPressedTrackColor = ColorSchemeKeyTokens.SurfaceContainerHighest
    val UnselectedPressedTrackOutlineColor = ColorSchemeKeyTokens.Outline
    val UnselectedTrackColor = ColorSchemeKeyTokens.SurfaceContainerHighest
    val UnselectedTrackOutlineColor = ColorSchemeKeyTokens.Outline
    val IconHandleHeight = 24.0.dp
    val IconHandleWidth = 24.0.dp
}
